LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XWindowSupplier Interface Referencepublished

provides access to a VCL window implementation. More...

`import"XWindowSupplier.idl";`

Inheritance diagram for XWindowSupplier:

## Public Member Functions
::com::sun::star::awt::XWindow | getWindow ()
| allows to get access to a VCL window implementation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a VCL window implementation.

## Member Function Documentation

## ◆ getWindow()

::com::sun::star::awt::XWindow getWindow | ( |  | ) |

allows to get access to a VCL window implementation.

Returns
  VCL window implementation

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XWindowSupplier.idl